Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004305OCamlOCaml generalpublic2007-05-28 17:432007-11-20 18:46
Reporterberke 
Assigned Todoligez 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.0 
Target VersionFixed in Version3.10+dev 
Summary0004305: Arg.align misaligns when using Arg.Symbol(_,_)
DescriptionWhen reporting usage, the Arg module incorrectly computes the displayed
length of Symbol arguments (whose enumeration is shown), leading to unaligned
output such as:

  -foo {a|b|c} bar
  -b barbar
  -help Display this list of options
  --help Display this list of options
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004333)
doligez (administrator)
2007-11-20 18:46

The problem is that the lists of symbols are usually too long to
make this practical. In 3.10.1+dev2, I will add a newline and
align it on the next line.

- Issue History
Date Modified Username Field Change
2007-05-28 17:43 berke New Issue
2007-11-10 15:26 xleroy Status new => assigned
2007-11-10 15:26 xleroy Assigned To => doligez
2007-11-20 18:46 doligez Note Added: 0004333
2007-11-20 18:46 doligez Status assigned => closed
2007-11-20 18:46 doligez Resolution open => fixed
2007-11-20 18:46 doligez Fixed in Version => 3.10+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker